External api call using wordpress

Your curl request should work from the command line. Put you will want to use make it in a PHP file: $ch = curl_init(); $url = “https://api.com/”; curl_setopt($ch, CURLOPT_URL, $url); curl_setopt($ch, CURLOPT_POST, 1); http_build_query(array(‘postvar1’ => ‘value1’))); // Receive server response … curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); $api_output = curl_exec($ch); curl_close($ch); Which php file you put the curl … Read more

How to block external access to register_rest_route callback?

When registering a route with register_rest_route() you can provide a permission_callback which is a function that checks whether the user has permission to use the endpoint. If only Administrator users should be able to use the endpoint then you can check for the manage_options capability in the callback, like this: register_rest_route( ‘myplugin/v1’, ‘update-rmp”, array( ‘permission_callback’ … Read more